
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    outline: 0px solid #333;
}

:root {
    --primary-color: #14af36;
    --secondary-color: #7e7e7e;
    --caption-color: #adadad;
    --background-color: #232c35;
    --text-color: #b6b6b6;
    --border-color: #424242;
    --disabled-color: #9e9e9e;

    --form-bg-color: #c0c0c0;
    --form-fg-color: #121212;
}

@font-face { font-family: "HEAV"; src: url("../fonts/EncodeSans-ExtraBold.ttf");   }
@font-face { font-family: "BOLD"; src: url("../fonts/EncodeSans-SemiBold.ttf");   }
@font-face { font-family: "REGU"; src: url("../fonts/EncodeSans-Regular.ttf");   }
@font-face { font-family: "LITE"; src: url("../fonts/EncodeSans-Thin.ttf");   }

body {
    margin: 0;
    padding: 1em;
    display: flex;
    font-size: 1.0em;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--text-color);
    font-family: 'REGU', Arial, sans-serif;
    background-color: var(--background-color);
}

a,
a:visited {
    color: inherit;
    color: var(--primary-color);
    text-decoration: none;
    
}

a:hover {
    color: var(--primary-color);
    text-decoration: underline;
}

.rounded {
    flex: 1;
    padding: 1em;
    display: flex;
    border-radius: 1em;
    position: relative;
    margin-bottom: 2em;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    border: 0px solid yellow;
    width: clamp(300px, 80%, 800px);
    background-color: rgba(255, 255, 255, 0.05);
}

.roundedFooter {
    flex: 1;
    gap: 0.5em;
    padding: 0.5em;
    opacity: 0.6;
    display: block;
    font-size: 0.7em;
    text-align: center;
    border-radius: 1em;
    position: relative;
    margin-bottom: 2em;
    width: clamp(300px, 80%, 800px);
    background-color: rgba(255, 255, 255, 0.0);
}

.roundedDatainfo {
    flex: 1;
    padding: 0.7em;
    font-size: 0.9em;
    display: none; /* hidden by default vs flex */
    border-radius: 0.5em;
    position: relative;
    margin-bottom: 2em;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    width: clamp(300px, 80%, 800px);
    border: 0px solid var(--border-color);
    background-color: rgba(4, 29, 15, 0.678);
}

.thickPad {
    padding: 2em;
}

#back {
    left: 1em;
    height: 100%;
    display: flex;
    cursor: pointer;
    font-size: 0.9em;
    position: absolute;
    align-items: center;
    justify-content: center;
    color: var(--primary-color);
    border: 0px solid var(--border-color);
}

#back::before {
    content: "⟨";
    font-size: 3em;
}

#back:hover {
    color: white;
    text-shadow: 0 0 0.2em #ffffffaa;
}


h1 {
    text-align: center;
    color: var(--primary-color);
    font-family: 'REGU', Arial, sans-serif;
    font-size: 1.4em;
}

.logotype {
    text-shadow: 0 0.1em 0.2em rgba(0, 0, 0, 0.3);
}

h2 {
    font-family: 'BOLD', Arial, sans-serif;
}

.faq-item {
    display: block;
    margin-bottom: 1.5em;
    outline: 1px solid var(--border-color);
    padding: 1.5em;
    border-radius: 0.5em;;
}

.faq-item:hover {
    background-color: rgba(0, 0, 0, 0.2);
}

h3 {
    font-size: 1.4em;
    font-family: 'BOLD', Arial, sans-serif;
    margin-bottom: 0.5em;
}


.linker {
    padding: 0 0.2em;
    color: var(--primary-color);
    cursor: pointer;
    visibility: hidden;
}


.slogan {
    margin-top: 0.5em;
    text-align: center;
    font-size: 0.9em;
    color: var(--text-color);
    opacity: 0.5;
}

p {
    color: var(--text-color);
    margin-bottom: 1.0em;
}

form {
    margin-top: 20px;
}



/* footer {
    bottom: 0;
    width: 100%;
    position: fixed;
    font-size: 0.7em;
    padding: 0.8em 5em;
    color: #ffffff7e;
    text-align: center;
    background-color: #00000050;
    backdrop-filter: blur(5px);
    border-top: 1px solid #333;
}

footer a,
footer a:visited {
    color: #ffffff7e;
    text-decoration: none;
} */

.spinner {
    top: 50%;
    left: 50%;
    width: 80px;
    height: 80px;
    z-index: 1000;
    display: none;
    position: fixed;
    border-radius: 50%;
    transform: translate(-50%, -50%);
    border: 8px solid #f3f3f3;
    border-top: 8px solid var(--primary-color);
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: translate(-50%, -50%) rotate(0deg); }
    100% { transform: translate(-50%, -50%) rotate(360deg); }
}


label {
    display: block;
}

input[type="checkbox"] {
    margin-right: 0.5em;
}

input[type="text"],
input[type="number"],
select {
    width: 100%;
    padding: 0.5em;
    border-radius: 0.2em;
    color: var(--form-fg-color);
    background-color: var(--form-bg-color);
    border: 1px solid var(--border-color);
    font-family: 'REGU', Arial, sans-serif;
    font-size: 1.2em;
}

option {
    background-color: var(--form-bg-color);
    color: var(--form-fg-color);
}

table {
    width: 100%;
    border-collapse: collapse;
}
 

.title1 {
    font-size: 1.2em;
    font-family: 'REGU', Arial, sans-serif;
    color: var(--caption-color);
    margin-top: 1.5em;
    margin-bottom: 0.5em;
}

.rowTitle {
    font-size: 1.0em;
    color: var(--secondary-color);
    /* color: red; */
}

.checkbox-item {
    display: flex;
    align-items: center;
    /* background-color: turquoise; */
    margin: 0 0 0.5em 0.5em;
}


/* ---- */

input[type="checkbox"] {
    height: 2em;
    outline: none;
    cursor: pointer;
    appearance: none;
    position: relative;
    align-items: center;
    aspect-ratio: 1 / 1;
    border-radius: 0.2em;
    justify-content: center;
    -webkit-appearance: none;
    background-color: var(--form-bg-color);
    transition: background-color 0.2s ease-in-out;
}

input[type="checkbox"]:after {
    width: 100%;
    height: 100%;
    content: "✓";
    display: none;
    font-size: 1.6em;
    font-weight: bold;
    position: absolute;
    color: var(--form-fg-color);
}
input[type="checkbox"]:hover {
  background-color: #8a8a8a;
}
input[type="checkbox"]:checked {
  background-color: var(--primary-color);
  transition: background-color 0.2s ease-in-out;
}
input[type="checkbox"]:checked:after {
    display: flex;
    border: 0px solid red;
    align-items: center;
    justify-content: center;
}


/* ---- */

.spacer {
    height: 1.5em;
}

#stylingOptions {
    padding: 1em;
    border-radius: 0.5em;
    margin-top: 1em;
}

#stylingOptions tr td:nth-of-type(1) {
    width: 40%;
    padding-left: 3em;
}

#stylingOptions tr td label {
    margin: 0;
}

#stylingOptions tr td input {
    width: 100%;
    margin: 0;
}

#stylingOptions td {
    position: relative;
    padding-bottom: 0.2em;
    vertical-align: middle;
    border: 0px solid var(--border-color);
}

input[type="color"] {
    height: 2.5em;
    width: 100%;
    border: none;
    padding: 0;
    margin: 0;
    cursor: pointer;
    background-color: transparent;
    left: 0;
    block-size: 4em;
}

#info {
    font-size: 0.8em;
    color: var(--secondary-color);
    margin-left: 0.5em;
}

#preview-back {
    width: 100%;
    aspect-ratio: 16/9;
    background-size: cover;
    background-position: center;
    border: 0px dotted var(--border-color);
    border-radius: 0.5em;
    overflow: hidden;
}

#preview-image {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-image: url('../img/previews/template1-theme1.png');
}

.top {
    vertical-align: top;
}

.description {
    font-size: 1.0em;
    color: var(--secondary-color);
    padding: 2em;
}

#imagePreview tr td:nth-of-type(1) {
    width: 40%;
    vertical-align: top;
    padding: 1em;
}

#imagePreview tr td:nth-of-type(2) {
    padding: 1em;
}

.instruction {
    border: 0px dotted var(--border-color);
    display: block;
    text-align: center;
    width: 100%;
    padding: 1em 0;
    font-size: 0.9em;
    opacity: 0.7;
}


button {
    border: none;
    cursor: pointer;
    color: white;
    font-size: 1.0em;
    white-space: nowrap;
    padding: 0.5em 1.0em;
    border-radius: 0.2em;
    text-transform: uppercase;
    width: clamp(auto, 80%, 300px);
    text-shadow: 0 0.1em 0.4em #00000066;
    border-bottom: 0.2em solid #00000046;
    font-family: 'BOLD', Arial, sans-serif;
    background-color: var(--primary-color);
}

button:disabled {
    opacity: 0.2;
    pointer-events: none;
}


button:hover {
    border-bottom-color: white;
}

button:active {
    background-color: rgb(204, 204, 204);
}

button.blue {
    background-color: #2045ac;
}

button.red {
    background-color: #e74c3c;
}

button.big {
    margin-top: 0.8em;
    font-size: 1.2em;
    padding: 0.4em 1.2em;
}

#launchControls {
    margin-top: 0.8em;
    width: 80%;
    border: 0px solid var(--border-color);
}

#launchControls td {
    padding: 0.2em;
    text-align: center;
    width: 50%;
}

#errorContent {
    text-align: center;
    border: 1px dotted red;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0.5em 2em;
}

#errorContent h2 {
    margin: 0.5em;
    padding: 0;
    line-height: 1em;
}

#errorContent p {
    color: rgb(196, 196, 196);
    padding: 1em;
}

.dark-bg {
    background-color: rgb(37, 37, 37);
    background-image: none;
}
.lite-bg {
    background-color: rgb(173, 173, 173);
    background-image: none;
}
.tran-bg {
    background-color: rgba(196, 196, 196, 0.0);
    background-image: url('../img/previews/videobg.png');
}

.blue-bg {
    background-color: rgb(0, 0, 255);
    background-image: none;
}

.coverimage {
    width: 100%;
    height: auto;
    border-radius: 0.5em;
}

.mainCoverimage {
    width: 80%;
    height: auto;
    border-radius: 0.5em;
}

.welcomeText {
    padding: 0 0.5em;
    font-size: 1.4em;
    text-align: center;
}

.aleft {
    text-align: left;
    align-items: flex-start;
    justify-content: flex-start;
}

hr {
    border: 0;
    height: 1px;
    width: 80%;
    left: 50%;
    position: relative;
    transform: translateX(-50%);
    background: var(--border-color);
    margin: 1.5em 0;
}

.heavy {
    font-family: 'HEAV', Arial, sans-serif;
}

.bold {
    font-family: 'REGU', Arial, sans-serif;
}
 

.light {
    font-family: 'LITE', Arial, sans-serif;
    opacity: 0.8;
}

.white {
    color: rgb(204, 204, 204);
}

.green {
    color: var(--primary-color);
}

.terms {
    font-size: 0.7em;
    width: 100%;
    text-align: center;
    opacity: 0.7;
    margin-top: 1em;
}

.subhead {
    display: block;
    font-family: 'BOLD', Arial, sans-serif;
    font-size: 0.8em;
    margin: 1.5em 0;
    text-transform: uppercase;

}

.wip {
    color: rgb(211, 168, 11);
    display: block;
    margin-top: 0.5em;
    
}

.wip:before {
    content: "⚠️";
}